Passer au contenu principal
POST
/
entitlements
/
{id}
/
files
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const response = await client.entitlements.files.upload('ent_jt7jcvI79Xh8eehqgWdcm');

console.log(response.file_id);
{
  "file_id": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

Entitlement Id

Réponse

File attached to entitlement

file_id
string
requis

Identifier of the attached file. Pass it to DELETE /entitlements/{id}/files/{file_id} to detach the file later.

Dernière modification le 28 mai 2026